
function love.load()
	ar = {}
	for x = 1,10 do 
		ar[x] = {}
		for y = 1, 10 do
			ar[x][y] = x+y*100 -- Array in array - this is some kind of street Lua magic.
		end
	end
end
-- Saving/loading

function love.update()
    -- If "s" button pressed then save
	if love.keyboard.isDown("s") then
		saving()
	end
	-- If "l" button pressed then load
	if love.keyboard.isDown("l") then
		loading()
	end	
end

-- Saving function
function saving()
	local file = assert(io.open('array.txt','w'),'Error creating file"')
    local data = ""
	-- If file didn't opened
	if not file then
		-- errors message. Nothing here now.
		else
		-- Using FOR for saving array
		for sX = 1, 10 do
			for sY = 1, 10 do
                data = string.format("%d,%d=%d\n", sX, sY, ar[sX][sY])
				file:write(data)
			end
		end
		file:close() -- Closing file
	end
end

function loading()
    ar = {}
    local sX, sY, v
    local file = assert(io.open('array.txt','r'),'Error opening file"')
    for line in file:lines() do
        sX, sY, v = string.match(line, "(.+),(.+)=(.+)")
        sX, sY, v = tonumber(sX), tonumber(sY), v
        if not ar[sX] then ar[sX] = {} end
        ar[sX][sY] = v
    end
    file:close()
end

function love.draw()
    for x,row in pairs(ar) do
        for y,v in pairs(row) do
           love.graphics.print(tostring(v), x*50, y*50)
        end
    end
end